<?php

/**
 * Header file
 *
 * @package foodily
 */

?>
<!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo('charset'); ?>" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
	<?php wp_head(); ?>
	
</head>

<body <?php body_class(); ?>>
	<?php
	if ( ! function_exists( 'wp_body_open' ) ) {
	        function wp_body_open() {
	                do_action( 'wp_body_open' );
	        }
	}
	?>
	<div class="page-wrapper">

	<?php
		if ( true == get_theme_mod( 'preloader_option', true ) ) :
	?>
		<!-- Preloader -->
		<div class="preloader"></div>
	<?php
		endif;
	?>
		<!-- Main Header-->
		<?php
		if ( is_singular() && function_exists( 'carbon_get_the_post_meta' ) ) {
			if ( ( 'global' === carbon_get_the_post_meta( 'foodily_single_header' ) )  || ( ! carbon_get_the_post_meta( 'foodily_single_header' ) ) ) {
				$foodily_header = get_theme_mod( 'global_header_style', 'header-style-one' );
			} elseif ( ( carbon_get_the_post_meta( 'foodily_single_header' ) ) && ( 'global' !== carbon_get_the_post_meta( 'foodily_single_header' ) ) ) {
				$foodily_header = carbon_get_the_post_meta( 'foodily_single_header' );
			}
		} else {
			$foodily_header = get_theme_mod( 'global_header_style', 'header-style-one' );
		}

		get_template_part( 'components/header/header_v1' );