<?php
/**
 * Demo import functionality
 */

function foodily_import_files() {
	return array(
		array(
			'import_file_name' => 'Foodily Theme',
			'import_file_url' => 'https://thememxpro.com/theme/foodily/demo-files/content.xml',
			'import_widget_file_url' => 'https://thememxpro.com/theme/foodily/demo-files/widget.wie',
			'import_customizer_file_url' => 'https://thememxpro.com/theme/foodily/demo-files/option.dat',
			'import_preview_image_url' => 'https://thememxpro.com/theme/foodily/demo-files/screenshot.png',
			'import_notice' => __( 'Please click on Import Demo Data to make your installation as you see in foodily preview site.', 'foodily' ),
			'preview_url' => 'https://thememxpro.com/theme/foodily/',
		),
	);
}
add_filter( 'pt-ocdi/import_files', 'foodily_import_files' );

/**
 * Settings after demo content setup
 */
function foodily_after_import_setup() {
	// Assign menus to their locations.
	$main_menu = get_term_by( 'name', 'Main menu', 'nav_menu' );

	set_theme_mod(
		'nav_menu_locations',
		array(
			'primary' => $main_menu->term_id,
		)
	);

	// Assign front page and posts page (blog page).
	$front_page_id = get_page_by_title( 'Home' );
	$blog_page_id  = get_page_by_title( 'Blog' );

	update_option( 'show_on_front', 'page' );
	update_option( 'page_on_front', $front_page_id->ID );
	update_option( 'page_for_posts', $blog_page_id->ID );
}
add_action( 'pt-ocdi/after_import', 'foodily_after_import_setup' );
