<?php

/**
 * The main Template file
 *
 * @package foodily
 */

get_header();

if ( is_active_sidebar( 'default-sidebar' ) ) {
	$foodily_sidebar_active = true;
	$foodily_content_class = 'content-side col-lg-8 col-md-12';
} else {
	$foodily_sidebar_active = false;
	$foodily_content_class = 'col-12';
}
?>

<?php 
get_template_part('template-parts/banner', 'section'); 

$foodily_blog_sidebar_position = get_theme_mod( 'foodily_blog_sidebar_position', 'order-2' );

?>


<div class="sidebar-page-container">
        <div class="auto-container">
            <div class="row">
                <?php if ( $foodily_sidebar_active ) : ?>          
                <div class="sidebar-side col-lg-4 <?php echo esc_attr( $foodily_blog_sidebar_position  ); ?>">
                    <aside class="sidebar sticky-top">
                        <?php dynamic_sidebar( 'default-sidebar' ); ?>
                </aside>
                </div>
                <?php endif; ?>
                <div class="<?php echo esc_attr( $foodily_content_class ); ?>">
                    <?php
                        if (have_posts()) {
                            while ( have_posts() ) {
                                the_post();
                                get_template_part( 'template-parts/content', get_post_format() );
                            }
                        } else {
                            get_template_part( 'template-parts/content', 'none' );
                        }					
                    ?>
                    <?php foodily_pagination(); ?>
                </div>                  
            </div>
        </div>
    </div>

<?php
get_footer();
