<?php
/**
 * The template for displaying search result.
 *
 * @package foodily
 */

get_header();

if ( is_active_sidebar( 'default-sidebar' ) ) {
	$foodily_sidebar_active = true;
	$foodily_content_class = 'content-side col-lg-8 col-md-12 col-sm-12';
} else {
	$foodily_sidebar_active = false;
	$foodily_content_class = 'content-side col-lg-12';
}
?>

<?php get_template_part('template-parts/banner', 'section'); ?>

<!--Sidebar Page Container-->
<div class="sidebar-page-container">
	<div class="auto-container">
		<div class="row clearfix">
			<!--Content Side-->
			<div class="<?php echo esc_attr( $foodily_content_class ); ?>">
				<!--Blog Classic-->
				<div class="blog-classic">

					<!--News Block Two-->
					<?php
					if (have_posts()) {
						while ( have_posts() ) {
							the_post();
							get_template_part( 'template-parts/content', get_post_format() );
						}
					} else {
						get_template_part( 'template-parts/content', 'none' );
					}
					
					?>
					<?php foodily_pagination(); ?>
				</div>
			</div>

			<!--Sidebar Side-->
			<?php if ( $foodily_sidebar_active ) : ?>
			<div class="sidebar-side right-sidebar col-lg-4 col-md-8 col-sm-12">
				<aside class="sidebar">
				<?php dynamic_sidebar( 'default-sidebar' ); ?>
				</aside>
			</div>
			<?php endif; ?>
		</div>
	</div>
</div>

<?php
get_footer();
