<?php

/**
 * The template for displaying single posts and pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package foodily
 */

get_header();

if ( is_active_sidebar( 'default-sidebar' ) ) {
	$foodily_sidebar_active = true;
	$foodily_content_class  = 'content-side col-lg-8';
} else {
	$foodily_sidebar_active = false;
	$foodily_content_class  = 'content-side col-lg-12';
}

get_template_part( 'template-parts/banner', 'section' );

$foodily_blog_sidebar_position = get_theme_mod( 'foodily_blog_sidebar_position', 'order-2' );
?>

<!--Sidebar Page Container-->
<div class="sidebar-page-container">
	<div class="auto-container">
		<div class="row">
			<?php if ( $foodily_sidebar_active ) : ?>          
                <div class="sidebar-side col-lg-4 <?php echo esc_attr($foodily_blog_sidebar_position);  ?>">
                    <aside class="sidebar sticky-top">
                        <?php dynamic_sidebar( 'default-sidebar' ); ?>
                </aside>
                </div>
            <?php endif; ?>
			<div class="<?php echo esc_attr( $foodily_content_class ); ?>">
				<div class="blog-single">
					<?php
					if ( have_posts() ) {
						while ( have_posts() ) {
							the_post();
							if ( is_single() ) {
								get_template_part( 'template-parts/content', 'single' );
							} else {
								get_template_part( 'template-parts/content', 'page' );
							}
						}
					} else {
						get_template_part( 'template-parts/content', 'none' );
					}
					?>					
				</div>
			</div>
		</div>
	</div>
</div>
<?php
get_footer();
