<?php
/**
 * Banner Section
 *
 * @package foodily
 */

if ( has_post_thumbnail() ) {
	$foodily_banner_img_url = get_the_post_thumbnail_url( get_the_ID(), 'full' );
} else {
	$foodily_banner_img_url = '';
}
?>

<?php
if ( true == get_theme_mod( 'page_title_option', true ) ) :
			?>


<!-- Page Title -->
<section class="page-title" style="background-image: url(<?php echo esc_url( $foodily_banner_img_url ) ?>)">
    
    <div class="auto-container">
    <?php
        if ( is_page() || is_single() ) {
            the_title( '<h2>', '</h2>' );
        } elseif ( ! is_front_page() && is_home() ) {
            $foodily_blog_title = get_the_title( get_option( 'page_for_posts', true ) );
            ?>
        <h2><?php echo esc_html($foodily_blog_title); ?></h2>
            <?php
        } elseif ( is_home() ) {
            ?>
            <h2><?php esc_html_e( 'Blog', 'foodily' ); ?> </h2>
                <?php
        } elseif ( is_archive() ) {
            the_archive_title( '<h2>', '</h2>' );
        } elseif ( is_404() ){
            ?>
            <h2><?php esc_html_e( 'Couldn\'t Be Found', 'foodily' ); ?></h2>
            <?php
        } elseif ( is_search() ) {
            $search_title = sprintf( '%s %s', __( 'Search result of : ', 'foodily' ), get_search_query() );
            ?>
            <h2><?php echo esc_html( $search_title ); ?></h2>
            <?php
        }

        ?>
        <?php
        if ( true == get_theme_mod( 'breadcrumb_option', false ) ) :
            ?>
            <ul class="page-breadcrumb">
                <?php
                if ( function_exists( 'bcn_display' ) ) {
                    bcn_display_list();
                }
                ?>
            </ul>
            <?php
        endif;
        ?>
    </div>
</section>
<!-- End Page Title -->

<?php
endif;
?>