<?php

/**
 * Blog Grid Layout Template
 *
 * @package foodily
 */


$foodily_blog_layout         = get_theme_mod('foodily_blog_layout', 'classic');
$foodily_blog_layout_classes = 'col-12';
$foodily_post_classes        = array('single-news-block');
$foodily_title_tag_start     = '<h2>';
$foodily_title_tag_end       = '</h2>';
$foodily_post_thumb          = 'foodily-classic-thumb';
if ('grid' === $foodily_blog_layout || is_page_template('templates/blog-grid-layout.php')) {
	$foodily_blog_layout_classes = 'col-lg-6 col-sm-6';
	$foodily_post_classes        = array('single-news-block');
	$foodily_title_tag_start     = '<h3>';
	$foodily_title_tag_end       = '</h3>';
	$foodily_post_thumb          = 'foodily-grid-thumb';
}
?>

<div id="post-<?php the_ID(); ?>" <?php post_class(array('single-blog-post')); ?>>
    <div class="news-block-one style-two">
        <div class="inner-box">
            <div class="image">
                <?php if ( has_post_thumbnail() ) : ?>
                    <div class="image"><a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(); ?></a></div>
                <?php
                endif;
                ?>
            </div>
            <div class="lower-content">
                <ul class="post-mate">
                    <li><i class="far fa-clock"></i> <?php foodily_posted_on(); ?></li>
                    <li><i class="far fa-user"></i> by <a href="<?php the_permalink(); ?>"><?php echo esc_html__( 'By', 'foodily' ); ?> <?php echo get_the_author(); ?></a></li>
                </ul>
                <div class="read-more">
                    <a href="<?php the_permalink(); ?>"><i class="fas fa-long-arrow-alt-right"></i></a>
                </div>
                <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                <div class="text"><?php force_balance_tags( the_excerpt() ); ?></div>
                
            </div>
        </div>
    </div>
</div>
