<?php

/**
 * Single post Template
 *
 * @package foodily
 */

?>


<div id="post-<?php the_ID(); ?>" <?php post_class(array('single-blog-post')); ?>>
    <div class="blog-detail">
        <div class="inner-box">
            <ul class="post-info">
                <li><?php foodily_posted_on(); ?></li>
                <li><?php foodily_comments_count(); ?></li>
            </ul>
            <?php if ( has_post_thumbnail() ) : ?>
            <div class="image">
                <?php the_post_thumbnail(); ?>
            </div>
            <?php endif; ?>
            <div class="lower-content">
                <p>
                    <?php
                    the_content();
                    wp_link_pages();
                    ?>
                </p>
                <!-- Post Share Options-->
                <?php if ( has_tag() ) : ?>
                <div class="post-share-options">
                    <div class="tags">
                        <?php
                        if ( get_the_tag_list() ) {
                        ?>
                            <span class="tag-title"><?php esc_html_e( 'Tags', 'foodily' ); ?></span>
                            <?php 
                            echo get_the_tag_list();
                        }
                        ?>
                    </div>
                </div>
                <?php endif; ?>
            </div>
            <?php 
            if ( '' !== get_the_author_meta( 'description' ) ){
            ?>
            <!-- Author Box -->
            <div class="author-box">
                <div class="box-inner">
                    <div class="content">
                        <?php $foodily_author_id = get_the_author_meta( 'ID' ); ?>
                        <div class="author-image"><img src="<?php echo esc_url( get_avatar_url( $foodily_author_id ) ); ?>" alt="<?php esc_attr_e( 'post author', 'foodily' ); ?>" /></div>
                        <h6><?php the_author(); ?></h6>
                        <div class="text"><?php echo esc_html( get_the_author_meta( 'description' ) ); ?></div>
                    </div>
                </div>
            </div>
            <!-- End Author Box -->
            <?php	
            }        
            ?>
        </div>
    </div>
</div>

<!--Author Box-->
<?php


if ( comments_open() ) :
	comments_template();
endif;


